
%global meadversion 20110809.0.0
%global namedversion 20110809.0.0.redhat-5
%global meadalpha .redhat_5
%global meadrel .1
%global serial 1
%global namedversionrel redhat-5

%bcond_with javadoc
%bcond_without mead

# do that since namedversion = 20110809.redhat-4, but the rpm link is
# 20110809-redhat-4, so we need to adjust
# NOTE that this works because the version is just a timestamp date. If the
# version switches to something more standard, this will fail
#
# Fix the version to comply with OSGI specification. namedversion = 20110809.0.0.redhat-5 now
# We won't need fix the namedversion anymore.
#
%define namedversion_fix %(echo %{namedversion})

%define maven_version 20110809.0.0.redhat-5

Name:           sun-txw2
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Typed XML Writer runtime
Group:          Development/Java

%if %with mead
Source100: txw2-project-20110809.0.0.redhat-5-scm-sources.zip
Source102: txwc2-20110809.0.0.redhat-5.pom
Source103: txwc2-20110809.0.0.redhat-5-sources.jar
Source104: txwc2-20110809.0.0.redhat-5.jar
Source105: txw2-20110809.0.0.redhat-5.pom
Source106: txw2-20110809.0.0.redhat-5.jar
Source107: txw2-20110809.0.0.redhat-5-sources.jar
Source108: txw2-project-20110809.0.0.redhat-5-javadoc.jar
Source109: txw2-project-20110809.0.0.redhat-5-project-sources.tar.gz
Source110: txw2-project-20110809.0.0.redhat-5.pom
%endif

License:        CDDLv1.1/GPLv2
URL:            http://txw.java.net/
Provides:       txw2-project = %{epoch}:%{version}-%{release}
Provides:       txw2 = %{epoch}:%{version}-%{release}
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
%if 0
# FIXME: txw2-project
Requires:       jvnet-parent >= 0:1
# FIXME: txw2
Requires:       relaxngDatatype >= 0:2002.04.14
Requires:       sun-txw2-project = %{epoch}:%{version}-%{release}
Requires:       stax-api >= 0:1.0
%endif
BuildArch:      noarch
BuildRoot:      %{_tmppath}/txw2-project-%{namedversion}-%{release}-root

%description
%{summary}.

%package -n sun-txw2-compiler
Summary:        TXW2 Compiler
Group:          Development/Java

Provides:       txwc2 = %{epoch}:%{version}-%{release}
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
# FIXME: from sun-txw2
Requires:       relaxngDatatype >= 0:2002.04.14
%if 0
# FIXME:
Requires:       sun-txw2-project = %{epoch}:%{version}-%{release}
%endif
Requires:       rngom >= 0:20100718
Requires:       sun-txw2 = %{epoch}:%{version}-%{release}
Requires:       codemodel >= 0:2.4
Requires:       ant >= 0:1.8.1
Requires:       args4j >= 0:1.0
Requires:       xsom >= 0:20110809

%description -n sun-txw2-compiler
%{summary}.

%if %with javadoc
%package -n sun-txw2-javadoc
Summary:        Javadoc for txw2-project
Group:          Development/Documentation

Provides:       txw2-project-javadoc = %{epoch}:%{version}-%{release}
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
BuildRequires:  unzip

%description -n sun-txw2-javadoc
%{summary}.
%endif

%prep
%setup -q -n txw2-project -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}/%{name}
%{__cp} -p %{_sourcedir}/txwc2-%{namedversion_fix}.jar %{buildroot}%{_javadir}/%{name}/txwc2-%{namedversion_fix}.jar

# javadoc is aggregated
# %{__cp} -p %{_sourcedir}/txwc2-%{namedversion_fix}-javadoc.jar %{buildroot}%{_javadir}/%{name}/txwc2-%{namedversion_fix}-javadoc.jar
%{__cp} -p %{_sourcedir}/txwc2-%{namedversion_fix}-sources.jar %{buildroot}%{_javadir}/%{name}/txwc2-%{namedversion_fix}-sources.jar
%{__cp} -p %{_sourcedir}/txw2-%{namedversion_fix}.jar %{buildroot}%{_javadir}/%{name}/txw2-%{namedversion_fix}.jar

# javadoc is aggregated
#%{__cp} -p %{_sourcedir}/txw2-%{namedversion_fix}-javadoc.jar %{buildroot}%{_javadir}/%{name}/txw2-%{namedversion_fix}-javadoc.jar
%{__cp} -p %{_sourcedir}/txw2-%{namedversion_fix}-sources.jar %{buildroot}%{_javadir}/%{name}/txw2-%{namedversion_fix}-sources.jar
(cd %{buildroot}%{_javadir}/%{name} && for jar in *-%{namedversion_fix}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion_fix}||g"`; done)

# poms
%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%{__cp} -p %{_sourcedir}/txw2-project-%{namedversion_fix}.pom %{buildroot}%{_mavenpomdir}/JPP.%{name}-txw2-project.pom
%{__cp} -p %{_sourcedir}/txwc2-%{namedversion_fix}.pom %{buildroot}%{_mavenpomdir}/JPP.%{name}-txwc2.pom
%{__cp} -p %{_sourcedir}/txw2-%{namedversion_fix}.pom %{buildroot}%{_mavenpomdir}/JPP.%{name}-txw2.pom

# depmaps
%add_to_maven_depmap com.sun.xml.txw2 txw2-project %{namedversion_fix} JPP/%{name} txw2-project
[ %{name} = "txw2-project" ] || %{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/txw2-project
%add_to_maven_depmap com.sun.xml.txw2 txwc2 %{namedversion_fix} JPP/%{name} txwc2
[ %{name} = "txwc2" ] || %{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/txwc2
%add_to_maven_depmap com.sun.xml.txw2 txw2 %{namedversion_fix} JPP/%{name} txw2
[ %{name} = "txw2" ] || %{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/txw2

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/txw2-%{namedversion_fix}
%{_bindir}/unzip -qq %{_sourcedir}/txw2-project-%{namedversion_fix}-javadoc.jar -d %{buildroot}%{_javadocdir}/txw2-%{namedversion_fix} -x META-INF/\*
%{__ln_s} txw2-%{namedversion_fix} %{buildroot}%{_javadocdir}/txw2
%endif

%clean
%{__rm} -rf %{buildroot}

%post -n sun-txw2-compiler
%update_maven_depmap

%postun -n sun-txw2-compiler
%update_maven_depmap

%post -n sun-txw2
%update_maven_depmap

%postun -n sun-txw2
%update_maven_depmap

%files -n sun-txw2-compiler
%defattr(0644,root,root,0755)
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/txwc2-%{namedversion_fix}.jar
%{_javadir}/%{name}/txwc2.jar
#%exclude %{_javadir}/%{name}/txwc2-%{namedversion_fix}-javadoc.jar
#%exclude %{_javadir}/%{name}/txwc2-javadoc.jar
%{_javadir}/%{name}/txwc2-%{namedversion_fix}-sources.jar
%{_javadir}/%{name}/txwc2-sources.jar
%{_mavenpomdir}/JPP.%{name}-txwc2.pom
%{_mavendepmapfragdir}/txwc2

%files -n sun-txw2
%defattr(0644,root,root,0755)
%doc license.txt
%dir %{_javadir}/%{name}
%{_mavenpomdir}/JPP.%{name}-txw2-project.pom
%{_mavendepmapfragdir}/txw2-project
%{_javadir}/%{name}/txw2-%{namedversion_fix}.jar
%{_javadir}/%{name}/txw2.jar
#%exclude %{_javadir}/%{name}/txw2-%{namedversion_fix}-javadoc.jar
#%exclude %{_javadir}/%{name}/txw2-javadoc.jar
%{_javadir}/%{name}/txw2-%{namedversion_fix}-sources.jar
%{_javadir}/%{name}/txw2-sources.jar
%{_mavenpomdir}/JPP.%{name}-txw2.pom
%{_mavendepmapfragdir}/txw2

%if %with javadoc
%files -n sun-txw2-javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/txw2-%{namedversion_fix}
%{_javadocdir}/txw2
%dir %{_javadir}/%{name}
#%{_javadir}/%{name}/txwc2-%{namedversion_fix}-javadoc.jar
#%{_javadir}/%{name}/txwc2-javadoc.jar
#%{_javadir}/%{name}/txw2-%{namedversion_fix}-javadoc.jar
#%{_javadir}/%{name}/txw2-javadoc.jar
%endif

%changelog
* Wed Dec 03 2014 Lin Gao <lgao@redhat.com> - 20110809.0.0-1.redhat_5.1
- Rebuild

* Wed Dec 03 2014 Lin Gao <lgao@redhat.com> - 20110809.0.0-1.redhat_5.1
- Rebuild wrapperRPM

* Tue Dec 02 2014 Lin Gao <lgao@redhat.com> - 20110809.0.0-1.redhat_5.1
- Rebuilding to fix invalid OSGI version
- Fix javadoc, it is aggreated javadoc jar

* Thu May 15 2014 David Walluck <dwalluck@redhat.com> - 20110809-7.redhat_4.1
- move jars

* Thu Jan 09 2014 Dustin Kut Moy Cheung <dcheung@redhat.com> - 20110809-1.redhat_4.1
- Rebuild to fix all the version issues

* Thu Jan 09 2014 Dustin Kut Moy Cheung <dcheung@redhat.com> - 20110809-1.redhat_4.1
- Rebuild to fix all the version issues

* Thu Jan 09 2014 Dustin Kut Moy Cheung <dcheung@redhat.com> - 20110809-1.redhat_4.1
- Rebuild to fix all the version issues

* Thu Jan 09 2014 Dustin Kut Moy Cheung <dcheung@redhat.com> - 20110809-1.redhat_4.1
- Rebuild to fix version name

* Wed Jan 08 2014 David Walluck <dwalluck@redhat.com> 0:20110809-3.redhat_3.1
- update Requires

* Wed Jan 08 2014 David Walluck <dwalluck@redhat.com> 0:20110809-2.redhat_3.1
- fix build

* Wed Jan 08 2014 Dustin Kut Moy Cheung <dcheung@redhat.com> - 20110809-1.redhat_3.1
- Rebuild

* Wed Jan 08 2014 Dustin Kut Moy Cheung <dcheung@redhat.com> - 20110809-1.redhat_2.1
- Rebuild

* Wed Jan 08 2014 Dustin Kut Moy Cheung <dcheung@redhat.com> - 20110809-1.redhat_2.1
- Fix version-release-serial generation

* Tue Jan 07 2014 Fernando Nasser <fnasser@redhat.com> - 20110809_redhat_2-1.txw2.1
- Update Release tag to current standards using macros

* Tue Jan 07 2014 Fernando Nasser <fnasser@redhat.com> - 20110809_redhat_2-1.txw2.1
- Update Release tag to current standards using macros

* Tue Jan 07 2014 Fernando Nasser <fnasser@redhat.com> - 20110809_redhat_2-1.txw2.1
- Update Release tag to current standards using macros

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:20110809-6_redhat_2.4
- Rebuild for RHEL-5

* Tue Aug 14 2012 Fernando Nasser <fnasser@redhat.com> - 0:20110809-5_redhat_2.4
- Rebuild unsigned

* Thu Aug 09 2012 Fernando Nasser <fnasser@redhat.com> - 0:20110809-5_redhat_2.3
- Rebuild unsigned

* Mon Jul 30 2012 Fernando Nasser <fnasser@redhat.com> - 0:20110809-5_redhat_1.2
- Rebuild unsigned

* Wed Jul 25 2012 Fernando Nasser <fnasser@redhat.com> - 0:20110809-5_redhat_1.1
- Rebuild using cache signing

* Tue Jul 24 2012 Hui Wang <huwang@redhat.com> 0:20110809-5_redhat_1
- Rebuild

* Tue Jul 24 2012 Hui Wang <huwang@redhat.com> 0:20110809-4_redhat_1
- First mead build

* Sat May 05 2012 David Walluck <dwalluck@redhat.com> 0:20110809-3
- use com.github.relaxng not relaxngDatatype for groupId
- resolves JBPAPP-8931

* Tue May 01 2012 David Walluck <dwalluck@redhat.com> 0:20110809-2
- fix rngom version

* Tue May 01 2012 David Walluck <dwalluck@redhat.com> 0:20110809-1
- 20110809
- recreate pom patch
- fix macro in change log
- add BuildRequires: jvnet-parent
- version some BuildRequires

* Tue May 01 2012 David Walluck <dwalluck@redhat.com> 0:201103-1
- run vman aginst pom (removes hardcoded versions and repository)
- manually remove -SNAPSHOT and stax-api:stax-api from pom
- resolves JBPAPP-8871

* Fri Feb 24 2012 David Walluck <dwalluck@redhat.com> 0:201103-0.1
- 201103

* Mon Dec 08 2008 Will Tatam <will.tatam@red61.com> 0.1-0.20070624.2
- Auto rebuild for JPackage 5 in mock

* Tue Mar 11 2008 Ralph Apel <r.apel at r-apel.de> 0:0.1-0.20070624.1jpp
- First release
